Subject: Re: [PATCH] sysfs: Make sysfs_rename safe with sysfs_dirents in rbtrees.

From: Greg KH <[email-masked]>
Date: Tue, 1 Nov 2011 14:19:15 -0700

On Tue, Nov 01, 2011 at 07:06:17AM -0700, Eric W. Biederman wrote:
> 
> In sysfs_rename remove the optimization of not calling sysfs_unlink_sibling
> and sysfs_link_sibling if the renamed parent directory is not changing.
> This optimization is no longer valid now that sysfs dirents are stored in an
> rbtree sorted by name.
> 
> Move the assignment of s_ns before the call of sysfs_link_sibling.  With no
> sysfs_dirent fields changing after the call of sysfs_link_sibling this allows
> sysfs_link_sibling to take any of the directory entries into account when
> it builds the rbtrees, and s_ns looks like a prime canidate to be used
> in the rbtree in the future.
> 
> Signed-off-by: Eric W. Biederman <[email-masked]>

Looks good, Linus, thanks for taking this in your tree already.

greg k-h